=== meson_options.txt ===
option('testing', type: 'boolean', value: true)
option('unit_testing', type: 'boolean', value: true)
