=== debian/changelog ===
netplan.io (1.1.2-8) unstable; urgency=medium

  * d/t/cloud-init.sh: Adopt for actually generated files instead of dummies
  * d/control: Avoid test-dependency on dbus-x11 (Closes: #1117099)
    - d/p/0009-test-dbus-avoid-dependency-on-dbus-launch-Closes-111.patch

 -- Lukas Märdian <slyon@debian.org>  Wed, 08 Oct 2025 12:48:31 +0200

netplan.io (1.1.2-7) unstable; urgency=medium

  [ Wesley Hershberger ]
  * d/p/lp2083029-fix-try.patch: Fix "netplan try" revert (LP: #2083029)

  [ Lukas Märdian ]
  * d/p/lp2083029-fix-try.patch: Improve DEP-3 headers & move to end of series.

 -- Lukas Märdian <slyon@debian.org>  Wed, 16 Apr 2025 13:32:34 +0200

netplan.io (1.1.2-6) unstable; urgency=medium

  * Declare compliance with Standards-Version 4.7.2 (no changes needed).
  * d/patches/0005-*: Fix DEP-3 patch headers.
    - d/p/0005-tests-ethernets-Avoid-test-failure-when-systemd-reso.patch

 -- Lukas Märdian <slyon@debian.org>  Mon, 14 Apr 2025 12:31:03 +0200

netplan.io (1.1.2-5) unstable; urgency=medium

  * d/control: Suggest systemd-resolved for enhanced 'netplan status'
  * d/t/control: Add dpkg-dev test-dep for 'dpkg-vendor' checks.
  * d/t/control,prep-testbed: Avoid systemd-resolved test-dependency.
  * Avoid failure in ethernets.py test without systemd-resolved
    - d/p/0005-tests-ethernets-Avoid-test-failure-when-systemd-reso.patch
  * Avoid flaky test failures on riscv64.
    - d/p/0006-tests-regressions-Give-more-time-for-slow-architectu.patch
  * Avoid race condition with veth MAC addresses. (Closes: #1100907)
    - d/p/0007-tests-integration-Avoid-race-condition-with-veth-MAC.patch

 -- Lukas Märdian <slyon@debian.org>  Thu, 10 Apr 2025 11:26:06 +0200

netplan.io (1.1.2-4) unstable; urgency=medium

  * Revert: Do not execute generator during daemon-reload (Closes: #1100418)
    - d/p/lp2090848-0005-generator-Do-not-re-execute-during-daemon-reload.patch

 -- Lukas Märdian <slyon@debian.org>  Thu, 13 Mar 2025 21:26:44 +0100

netplan.io (1.1.2-3) unstable; urgency=medium

  * d/tests: Fix 00test.yaml permissions warnings.
  * d/p/python-limited-stable-api.patch: Gbp refresh.
  * Do not re-execute generator during daemon-reload (LP: 2090848)
    - d/p/lp2090848-0005-generator-Do-not-re-execute-during-daemon-reload.patch

 -- Lukas Märdian <slyon@debian.org>  Mon, 03 Mar 2025 11:14:28 +0100

netplan.io (1.1.2-2) unstable; urgency=medium

  * d/t/control: Avoid flaky 'wifi' DEP8 test, instead SKIP if
    conditions are not met
  * d/t/control: Add test dependency on dhcpcd-base, replacing ISC dhclient
  * d/patches: improve WiFi testing
    + 0002-tests-wifi-use-dhcpcd-istead-of-deprecated-ISC-dhcli.patch
    + 0003-tests-add-integration-test-for-wifi-psk-sha256.patch
  * d/p/lp2095203: Don't crash on udevadm trigger errors in 'netplan apply'
    (LP: #2095203)

 -- Lukas Märdian <slyon@debian.org>  Wed, 05 Feb 2025 16:51:55 +0100

netplan.io (1.1.2-1) unstable; urgency=medium

  * New upstream release: 1.1.2
    - wifi: add support for wpa-psk-sha256 !531 (LP: #2085320, LP: #2084237)
    - networkmanager: add support for "routing-policy" !526 (LP: #2086544)
    - parse: fix renderer validation for nm-devices !532 (LP: #2091755)
  * d/*.manpages: Use dh_installman and add netplan(8) manpage
  * d/netplan-generator.doc-base: Register YAML reference with doc-base
  * d/copyright: Update for 2025

  [ Alexandre Detiste ]
  * d/control: remove alternative dependency on deprecated pep8
  * d/{rules,control}: use dh-sequence-python3

 -- Lukas Märdian <slyon@debian.org>  Thu, 23 Jan 2025 16:23:09 +0100

netplan.io (1.1.1-1) unstable; urgency=medium

  * New upstream release: 1.1.1
    - NM: add support for stable-ssid MAC option !524 (LP: #2084234)
    - wpa_supplicant: add ExecReload to the service unit !523
    - Create snippet files for single-sourcing repetitive instructions !505
    - doc: Add initial 'Cryptography' section !517
    - Several code cleanup & fixes for TiCS !507
    - tests: ethernets: Add ipv6-address-generation integration tests !509
    - cli: drop python-netifaces !503 (LP: #2065870, LP: #2017585)
    - parse-nm: account for veth and dummy when checking for virtual types !513
    - Avoid dependency on dbus-python !511
    - tests: Improve vrf/wireguard modprobe check inside containers !510
    - tests:ethernets: avoid flaky test_ip6_eui64 results !514
    - ovs: quote external-ids and other-config values !512 (LP: #2070318)
    - Handle implicit conversions !496
    - Use more permissive umask for .service units !516 (LP: #2072486)
    - Revert "apply: make sure that networkd is restarted when needed" !518
      (LP: #2078009)
    - Handling encoding issues on netplan status !521 (LP: #2079975)
    - include: fix apidoc warnings about undocumented parameters
  * d/patches: Drop patches, applied upstream
  * d/control: Drop python3-{dbus,netifaces} dependencies, not needed anymore
  * d/{rules,control}: Utilize dh-python

 -- Lukas Märdian <slyon@debian.org>  Wed, 16 Oct 2024 09:46:10 +0200

netplan.io (1.1-2) unstable; urgency=medium

  * d/changelog: fix typo
  * d/control: change Maintainer to Networking team
  * d/control: Add ethtool dependency in anticipation of upstream change
  * d/rules: Improve 'filter nocheck' test, to avoid double 'nocheck' confusion
  * d/t/control: Add breaks-testbed for more robust CI (Closes: #1083109)
  * d/patches/0002: Disable NETPLAN_PARSER_IGNORE_ERRORS in tests
    to increase CI efficiency.
  * d/control: Mark udev as a runtime dependency

 -- Lukas Märdian <slyon@debian.org>  Wed, 09 Oct 2024 10:39:58 +0200
