=== debian/tests/control ===
Test-Command: (systemctl is-active openvswitch-switch.service || exit 77) && ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=ovs
Tests-Directory: tests/integration
Depends: @,
  network-manager,
  hostapd,
  wpasupplicant,
  dnsmasq-base,
  libnm0,
  python3-gi,
  gir1.2-nm-1.0,
  openvswitch-switch,
  dpkg-dev,
Restrictions: allow-stderr, breaks-testbed, needs-root, isolation-container, skip-not-installable, skippable
Features: test-name=ovs

Test-Command: ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=ethernets
Tests-Directory: tests/integration
Depends: @,
  network-manager,
  hostapd,
  wpasupplicant,
  dnsmasq-base,
  libnm0,
  python3-gi,
  gir1.2-nm-1.0,
  ethtool,
  dpkg-dev,
Restrictions: allow-stderr, breaks-testbed, needs-root, isolation-container
Features: test-name=ethernets

Test-Command: ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=bridges
Tests-Directory: tests/integration
Depends: @,
  network-manager,
  hostapd,
  wpasupplicant,
  dnsmasq-base,
  libnm0,
  python3-gi,
  gir1.2-nm-1.0,
  dpkg-dev,
Restrictions: allow-stderr, breaks-testbed, needs-root, isolation-container
Features: test-name=bridges

Test-Command: ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=bonds
Tests-Directory: tests/integration
Depends: @,
  network-manager,
  hostapd,
  wpasupplicant,
  dnsmasq-base,
  libnm0,
  python3-gi,
  gir1.2-nm-1.0,
  dpkg-dev,
Restrictions: allow-stderr, breaks-testbed, needs-root, isolation-container
Features: test-name=bonds

Test-Command: ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=routing
Tests-Directory: tests/integration
Depends: @,
  network-manager,
  hostapd,
  wpasupplicant,
  dnsmasq-base,
  libnm0,
  python3-gi,
  gir1.2-nm-1.0,
  python3-packaging,
  dpkg-dev,
Restrictions: allow-stderr, breaks-testbed, needs-root, isolation-container
Features: test-name=routing

Test-Command: ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=vlans
Tests-Directory: tests/integration
Depends: @,
  network-manager,
  hostapd,
  wpasupplicant,
  dnsmasq-base,
  libnm0,
  python3-gi,
  gir1.2-nm-1.0,
  dpkg-dev,
Restrictions: allow-stderr, breaks-testbed, needs-root, isolation-container
Features: test-name=vlans

Test-Command: (modprobe cfg80211 || exit 77) && (modprobe mac80211_hwsim || exit 77) && rmmod mac80211_hwsim && ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=wifi
Tests-Directory: tests/integration
Depends: @,
  network-manager,
  hostapd,
  wpasupplicant,
  dnsmasq-base,
  dhcpcd-base,
  libnm0,
  python3-gi,
  gir1.2-nm-1.0,
  iw,
  dpkg-dev,
Restrictions: allow-stderr, breaks-testbed, needs-root, isolation-container, skippable
Features: test-name=wifi

Test-Command: ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=tunnels
Tests-Directory: tests/integration
Depends: @,
  network-manager,
  hostapd,
  wpasupplicant,
