## netplan.io 1.2

=== debian/changelog ===
netplan.io (1.2-0ubuntu1) resolute; urgency=medium

  * New upstream release: 1.2
    - Split in `/usr/libexec/netplan/generate` and `netplan-configure.service`
      stages, to achieve systemd-generator compatibility.
    - Allows non standard OVS setups, e.g. for consuming Open vSwitch from snap.
    - Utilize systemd-networkd-wait-online for waiting on DNS servers,
      as implemented in systemd v258.
    - meson: Build using Python 3.10 limited API (LP: #2050881)
    - Fail cleanly when systemd-networkd is not installed
    - Ensure netplan directory creation is idempotent
    - Use OVS from apt before snap when both exist. (LP: #2127195)
    - tests: add integration test for wifi/psk-sha256
    - tests:wifi: Replace deprecated ISC dhclient & fail properly
    - test:dbus: avoid dependency on dbus-launch (Closes: #1117099)
    Bug fixes:
    - Fix `netplan try` revert (LP: #2083029)
    - cli:apply: Ignore udevadm errors triggering devices (LP: #2095203)
    - Fix function prototypes for *_new() functions of parser and state
    - Only create a tempdir when needed
  * d/control: Update for systemd >= 258 for DNS support in wait-online
  * d/netplan-generator*: recognize configure binary + service
  * d/t/control: install systemd-resolved for cloud-init & autostart tests
  * d/libnetplan1.symbols: Update symbols file for v1.2
  * d/patches/: Drop patches, applied upstream
  * d/p/0001-tests-ethernets-enable-wait-online-intergration-test.patch:
    Enable integration tests for systemd-networkd-wait-online.

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 16 Dec 2025 21:47:07 +0100

netplan.io (1.1.2-8ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/wait-online-dns: Enable waiting for DNS servers.
      This builds upon systemd#34640, as backported in systemd 257.2-3ubuntu1
    - d/control: update dependency on systemd 257.2-3ubuntu1
    - Support non-standard OVS setups, e.g. inside snap environments.
      + d/p/0012-Allows-non-standard-OVS-setups.patch
  * Prefer OVS from the system installation, snap as fallback (LP: #2127195)
    - d/p/0013-Use-OVS-from-apt-before-snap-when-both-exist.patch

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 20 Nov 2025 09:34:44 +0100

netplan.io (1.1.2-7ubuntu3) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Sat, 06 Sep 2025 14:17:29 +0000

netplan.io (1.1.2-7ubuntu2) questing; urgency=medium

  * Support non-standard OVS setups, e.g. inside snap environments.
    - d/p/0012-Allows-non-standard-OVS-setups.patch

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 31 Jul 2025 12:08:33 +0200

netplan.io (1.1.2-7ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2110448). Remaining changes:
    - d/p/wait-online-dns: Enable waiting for DNS servers.
      This builds upon systemd#34640, as backported in systemd 257.2-3ubuntu1
    - d/control: update dependency on systemd 257.2-3ubuntu1

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 19 May 2025 10:35:14 +0200

netplan.io (1.1.2-2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/wait-online-dns: Enable waiting for DNS servers.
      This builds upon systemd#34640, as backported in systemd 257.2-3ubuntu
    - d/control: update dependency on systemd 257.2-3ubuntu1
  * Drop Changes:
    - d/gbp.conf: update for Plucky
      [Not needed for git-ubuntu]

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 05 Feb 2025 17:54:40 +0100

netplan.io (1.1.2-1ubuntu1) plucky; urgency=medium

  * d/p/wait-online-dns: Enable waiting for DNS servers.
    This builds upon systemd#34640, as backported in systemd 257.2-3ubuntu1
  * d/control: update dependency on systemd 257.2-3ubuntu1
  * d/gbp.conf: update for Plucky

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 04 Feb 2025 12:23:09 +0100
