=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: netplan.io
-Maintainer: Debian Networking Team <team+networking@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Networking Team <team+networking@tracker.debian.org>
 Uploaders:
  Andrej Shadura <andrewsh@debian.org>,
  Lukas Märdian <slyon@debian.org>,
@@ -52,7 +53,7 @@
  netplan-generator,
  python3-netplan,
  python3-yaml,
- systemd (>= 248~),
+ systemd (>= 258~),
  udev,
 Recommends:
  python3-rich,
@@ -77,7 +78,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libnetplan1 (= ${binary:Version}),
- systemd (>= 248~),
+ systemd (>= 258~),
 Suggests:
  network-manager | wpasupplicant,
  openvswitch-switch,
